javafx.scene.shape

## Class Mesh

- java.lang.Object
- - javafx.scene.shape.Mesh

- Direct Known Subclasses:
    TriangleMesh

      public abstract class Mesh
      extends Object

  Base class for representing a 3D geometric surface. Note that this is a conditional feature. See `ConditionalFeature.SCENE3D` for more information.
  Since:
    JavaFX 8.0

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Mesh()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Mesh

          protected Mesh()

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 2008, 2019, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.